Closed Bug 953668 Opened 7 years ago Closed 7 years ago

"Quit" button when unread messages, and restarting instantbird

Categories

(Instantbird :: Contacts window, defect)

defect
Not set
minor

Tracking

(Not tracked)

RESOLVED FIXED

People

(Reporter: romain, Assigned: romain)

References

Details

Attachments

(1 file, 1 obsolete file)

*** Original post on bio 222 at 2009-08-23 19:14:00 UTC ***

This button and the description ahead should be revamped to fit, whether we are restarting or quitting the application.
Blocks: 953623
Blocks: 953622
No longer blocks: 953623
No longer blocks: 953622
Depends on: 953622
Attached patch proposed patch (obsolete) — Splinter Review
*** Original post on bio 222 as attmnt 212 at 2009-08-24 21:46:00 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8351956 - Flags: review?(florian)
Assignee: nobody → romain
Status: NEW → ASSIGNED
Comment on attachment 8351956 [details] [diff] [review]
proposed patch

*** Original change on bio 222 attmnt 212 at 2009-08-24 22:14:58 UTC ***

>diff --git a/instantbird/base/content/instantbird/blist.js b/instantbird/base/content/instantbird/blist.js
>--- a/instantbird/base/content/instantbird/blist.js
>+++ b/instantbird/base/content/instantbird/blist.js
>@@ -316,16 +316,19 @@ var buddyList = {
>     if ((aCancelQuit instanceof Ci.nsISupportsPRBool) && aCancelQuit.data)
>       return;
> 
>     let prefs = Components.classes["@mozilla.org/preferences-service;1"]
>                           .getService(Components.interfaces.nsIPrefBranch);
>     if (!prefs.getBoolPref("messenger.warnOnQuit"))
>       return;
> 
>+    if (aQuitType != "restart")
>+      aQuitType = "quit";
>+
>     let unreadConvsCount = 0;
>     let attachedWindow;
> 
>     // We would like the windows to be sorted by Z-Order
>     // See Bugs 156333 and 450576 on mozilla about getZOrderDOMWindowEnumerator
>     let enumerator = Components.classes["@mozilla.org/appshell/window-mediator;1"]
>                                .getService(Components.interfaces.nsIWindowMediator)
>                                .getEnumerator("Messenger:convs");
>@@ -352,31 +355,31 @@ var buddyList = {
> 
>     let bundle =
>       Components.classes["@mozilla.org/intl/stringbundle;1"]
>                 .getService(Components.interfaces.nsIStringBundleService)
>                 .createBundle("chrome://instantbird/locale/quitDialog.properties");
>     let promptTitle    = bundle.GetStringFromName("dialogTitle");
>     let promptMessage  = bundle.GetStringFromName("message");
>     let promptCheckbox = bundle.GetStringFromName("checkbox");
>-    let quitButton     = bundle.GetStringFromName("quitButton");
>+    let button         = bundle.GetStringFromName(aQuitType + "Button");

I don't think the test on aQuitType should be so distant of its usage.
I suggest:
let buttonName     = aQuitType == "restart" ? "restart" : "quit";
let button         = bundle.GetStringFromName(buttonName + "Button");

>diff --git a/instantbird/locales/en-US/chrome/instantbird/quitDialog.properties b/instantbird/locales/en-US/chrome/instantbird/quitDialog.properties

>+message=You have unread message(s) in #1 conversation, do you really want to continue?;You have unread message(s) in #1 conversations, do you really want to continue?

You can't have a single unread message in several conversations (except if your conversations are weirded!) so in the plural form, you should remove the "(s)".

Looks good otherwise.
Attachment #8351956 - Flags: review?(florian) → review-
Attached patch Patch V2Splinter Review
*** Original post on bio 222 as attmnt 213 at 2009-08-24 22:25:00 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8351957 - Flags: review?
Comment on attachment 8351956 [details] [diff] [review]
proposed patch

*** Original change on bio 222 attmnt 212 at 2009-08-24 22:25:26 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8351956 - Attachment is obsolete: true
Comment on attachment 8351957 [details] [diff] [review]
Patch V2

*** Original change on bio 222 attmnt 213 at 2009-08-25 00:05:55 UTC ***

r=me, thanks!
Attachment #8351957 - Flags: review? → review+
*** Original post on bio 222 at 2009-08-25 01:48:22 UTC ***

pushed as:
https://hg.instantbird.org/instantbird/rev/9c78f445b5cf
Status: ASSIGNED → RESOLVED
Closed: 7 years ago
Resolution: --- → FIXED
Target Milestone: --- → 0.2b1
You need to log in before you can comment on or make changes to this bug.